Get Resource Requirements

Get Resource Requirements

Get VCF Resource Requirement.

Request
URI
POST
https://vcf.broadcom.com/fleet-lcm/v1/components/resource-requirements
COPY
Request Body
ComponentResourceRequirementsSpecs of type(s) application/json
Optional
{
    "specs": [
        {
            "componentType": "componentType",
            "formFactor": "formFactor",
            "useExistingDeployment": true,
            "numberOfNodes": 0
        }
    ]
}
array of object
specs
Optional

specs

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ComponentsResourceRequirements of type(s) application/json
{
    "totalStorage": 1,
    "components": [
        {
            "minInstances": 9,
            "componentType": "componentType",
            "numberOfInstances": 7,
            "deploymentType": "OVA",
            "memory": 5.637376656633329,
            "workerNodeRequirement": "workerNodeRequirement",
            "ipCount": 2,
            "ipCountLimit": 4,
            "numberOfCores": 5,
            "storage": 2,
            "maxInstances": 3,
            "ipCountRecommended": 7
        },
        {
            "minInstances": 9,
            "componentType": "componentType",
            "numberOfInstances": 7,
            "deploymentType": "OVA",
            "memory": 5.637376656633329,
            "workerNodeRequirement": "workerNodeRequirement",
            "ipCount": 2,
            "ipCountLimit": 4,
            "numberOfCores": 5,
            "storage": 2,
            "maxInstances": 3,
            "ipCountRecommended": 7
        }
    ],
    "totalMemory": 6.027456183070403,
    "totalNumberOfCores": 0
}
integer
totalNumberOfCores
Optional

Number of vCPU cores

number As double As double
totalMemory
Optional

totalMemory

integer As int64 As int64
totalStorage
Optional

totalStorage

array of object
components
Optional

components


400

Bad request.

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


401

Unauthorized

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


500

Internal server error

Returns ErrorResponse of type(s) application/json
"ErrorResponse Object"
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/fleet-lcm/v1/components/resource-requirements